import { Field } from '@dotgov/formviewer';
import { Cell } from './Cell';
import { HiddenCellProperties } from './HiddenCellProperties';
import { CellProperties } from '../models/CellProperties';
export interface BuilderTask {
    header: Description;
    description: Description;
    print: Print;
    handlers: Handlers;
    hiddenCells: HiddenCell[];
    tabs: Tab[];
    uiActions: any[];
    model: any;
}
export declare class BuilderControl implements Row, Cell, Section {
    columns: number;
    decoration: string;
    rows: Row[];
    showlabel: boolean;
    visible?: string;
    cells: any;
    colSpan: number;
    properties?: CellProperties;
    name?: string;
    rowSpan: number;
    showHelp: boolean;
    title?: string;
    event?: string;
    controlType?: never;
}
export interface Description {
    title?: string;
}
export interface Handlers {
    onloadscript: string;
}
export interface HiddenCell {
    colSpan: number;
    name: string;
    rowSpan: number;
    showHelp: boolean;
    title?: string;
    properties?: HiddenCellProperties;
}
export interface Print {
}
export interface Tab {
    name: string;
    sections: Section[];
    title?: string;
}
export interface Section {
    columns: number;
    decoration: string;
    name?: string;
    rows: Row[];
    showlabel: boolean;
    title?: string;
    visible?: string;
}
export interface Row {
    cells: Cell[] | any;
}
export interface BuilderModel {
    primaryKey: string;
    header: string;
    description: string;
    dataSource: DataSource;
    fields: Field[];
    name: string;
    version: string;
}
export interface DataSource {
    dataSourceType: string;
    name: string;
    sqlView: string;
}
