import { Control } from '@dotgov/formviewer';
export declare class BuilderHelper {
    static haveVisibles(control: any): boolean;
    static isHidden(control: Control, forced?: boolean, shouldShow?: boolean, builderOn?: boolean): boolean;
    static ControlType(type: string | number): string;
    static ControlGroupType(type: string | number): "input" | "form" | "design" | "undefined";
    static controlGroupType(num: number): "input" | "form" | "design" | "undefined";
    static isInputField(num: number): boolean;
    static isFormField(num: number): boolean;
    static isDesignField(num: number): boolean;
    static EFormElement: Readonly<{
        UNDEFINED: number;
        TextBox: number;
        TextArea: number;
        Button: number;
        CheckBox: number;
        UploadFile: number;
        RadioButton: number;
        RadioButtonList: number;
        DropDownList: number;
        Date: number;
        Time: number;
        DateTime: number;
        TableLayout: number;
        BootstrapRow: number;
        FlexRow: number;
        Toggle: number;
        URL: number;
        CheckList: number;
        HiddenField: number;
        Label: number;
        TextField: number;
        ListField: number;
        PickList: number;
        Lookup: number;
        MultiLookup: number;
        EditableGrid: number;
        EmailField: number;
        NumberField: number;
        MoneyField: number;
        PositiveNumber: number;
        HtmlContent: number;
        CustomControl: number;
        GMAP: number;
        SectionLayout: number;
        MenuGrid: number;
        ProgressBar: number;
        FormTab: number;
        Form: number;
    }> & {
        Text: number;
        Picklist: number;
    };
    static inputFields: string[];
    static formFields: string[];
    static designFields: string[];
}
